swagger: "2.0"

info:
  version: 10.1.2
  title: Notificar usuário SeniorX.
  description: "Responsável por notificar um usuário no SeniorX."
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Serviço de Integração"
  - name: "SeniorX - Serviço de Integração"

paths:
  /notify-user:
    post:
      description: "Notifica um usuário na plataforma."
      deprecated: false

definitions:
  bodyData:
    type: object
    required:
      - destinationUsers
      - notificationSubject
      - notificationContent
      - notificationKind
      - notificationPriority
    properties:
      destinationUsers:
        type: string
        description: "Usuários a notificar"
      notificationSubject:
        type: string
        description: "Assunto da notificação"
      notificationContent:
        type: string
        description: "Conteudo da notifição"
      link:
        type: string
        description: "Link da notificação"
      notificationPriority:
        type: string
        enum:
          - Alerta
          - Erro
          - Não informado
        description: "Tipo da notificação"
      notificationKind:
        type: string
        enum:
          - Gerencial
          - Novidades
          - Operacional
        description: "Prioridade da notificação"
